# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_177987460018424/reproc-feedstock/recipe, last modified Wed May 27 09:36:52 2026
# ------------------------------------------------

package:
  name: reproc
  version: 14.2.7
source:
  - url: https://github.com/DaanDeMeyer/reproc/archive/v14.2.7.tar.gz
    sha256: 77914ba566356d86986db240ecdb1762dfdd55bb1e8e127d016d9c5c4c9300e8
    patches:
      - patches/103-remove-fd-limit.patch
      - patches/121-fix-cmake-version.patch
build:
  run_exports:
    - reproc >=14.2,<15.0a0
  number: '0'
  string: h7bdf020_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - binutils_impl_linux-64 2.44 h78f17ca_3
    - binutils_linux-64 2.44 hc03a8fd_3
    - bzip2 1.0.8 h5eee18b_6
    - c-ares 1.34.6 hd44998d_0
    - ca-certificates 2026.5.14 h06a4308_0
    - cmake 4.2.3 h8f6b806_0
    - expat 2.8.0 h7354ed3_0
    - gcc_impl_linux-64 14.3.0 h4943218_4
    - gcc_linux-64 14.3.0 hda73cce_14
    - gettext 0.25.1 h92eb808_0
    - gettext-tools 0.25.1 h6a67909_0
    - gxx_impl_linux-64 14.3.0 he634eba_4
    - gxx_linux-64 14.3.0 hca8765c_14
    - icu 78.3 h84d19a5_0
    - jansson 2.15.0 hbcba0ee_0
    - kernel-headers_linux-64 4.18.0 h3108a97_1
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libasprintf 0.25.1 hf2ab22a_0
    - libasprintf-devel 0.25.1 hf2ab22a_0
    - libbrotlicommon 1.2.0 h32cd6e7_0
    - libbrotlidec 1.2.0 ha2c5f68_0
    - libbrotlienc 1.2.0 h2e96acb_0
    - libcurl 8.20.0 hd8fa685_1
    - libev 4.33 h7f8727e_1
    - libexpat 2.8.0 h7354ed3_0
    - libgcc 15.2.0 h69a1729_8
    - libgcc-devel_linux-64 14.3.0 he7458c1_104
    - libgcc-ng 15.2.0 h166f726_8
    - libgettextpo 0.25.1 hf2ab22a_0
    - libgettextpo-devel 0.25.1 hf2ab22a_0
    - libgomp 15.2.0 h4751f2c_8
    - libiconv 1.18 h75a1612_0
    - libidn2 2.3.8 hf80d704_0
    - libkrb5 1.22.1 h869c75e_1
    - libnghttp2 1.69.0 hc59f8b6_0
    - libsanitizer 14.3.0 hd4faa28_4
    - libssh2 1.11.1 h251f7ec_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-devel_linux-64 14.3.0 he7458c1_104
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libunistring 1.4.2 h34b0ebb_0
    - libuv 1.52.0 heb5a705_0
    - libxml2 2.14.6 hf2a51f9_1
    - libzlib 1.3.1 h47b2149_1
    - lmdb 0.9.31 hb25bd0a_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - ninja-base 1.13.1 h0f57076_0
    - openssl 3.5.6 h1b28b03_0
    - rhash 1.4.6 hd199180_1
    - sysroot_linux-64 2.28 h3108a97_1
    - tzdata 2026a he532380_0
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
    - zstd 1.5.7 h11fc155_0
  host:
    - _openmp_mutex 5.1 52_gnu
    - libgcc 15.2.0 h69a1729_8
    - libstdcxx 15.2.0 h39759b7_8
  run:
    - __glibc >=2.28,<3.0.a0
    - libgcc >=14
    - libstdcxx >=14
about:
  home: https://github.com/DaanDeMeyer/reproc
  license_file: LICENSE
  license: MIT
  license_family: MIT
  summary: reproc (Redirected Process) is a cross-platform C/C++ library that simplifies
    starting, stopping and communicating with external programs.
  dev_url: https://github.com/DaanDeMeyer/reproc
  doc_url: https://github.com/DaanDeMeyer/reproc#reproc
  doc_src_url: https://github.com/DaanDeMeyer/reproc
extra:
  recipe-maintainers:
    - DaanDeMeyer
    - wolfv
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/reproc-feedstock
  sha: e749d1aee9dd6dfea88568cc89fd9aaa15e67ef5
  task_id: XmC7-GCGRSmLWtopZh-Udg
  task_run_id: '0'
  pbp_graph_uuid: ad4bbb59-f951-405b-aeb3-5b74f1a0ebab
